import { CoverageRunner, coverageRunner } from "./coverage-runner";
import { Logger } from "./logger";
export declare namespace simpleCoverageRunner {
    interface Properties {
        instance?: object;
        nativeConfiguration?: object;
        configuration?: coverageRunner.configuration.Configuration;
    }
}
export declare class SimpleCoverageRunner implements CoverageRunner {
    protected logger: Logger;
    protected properties: simpleCoverageRunner.Properties;
    constructor();
    initialize(options: coverageRunner.configuration.Configuration): Promise<void>;
    start(): void;
    saveReports(): Promise<void>;
    clean(): Promise<void>;
    generateSummary(options: coverageRunner.GenerateSummaryOptions): Promise<string>;
}
