"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const class_utils_1 = require("./class-utils");
// tslint:enable
function spyOnClass(spiedClass) {
    const prototype = spiedClass.prototype;
    // TODO : Check, may inheritance not have methods
    const methods = class_utils_1.classUtils.getInstanceMethodNames(prototype);
    // return spy object
    return jasmine.createSpyObj('spy', [...methods]);
}
exports.spyOnClass = spyOnClass;
function provideMock(spiedClass) {
    return {
        provide: spiedClass,
        useValue: spyOnClass(spiedClass)
    };
}
exports.provideMock = provideMock;
//# sourceMappingURL=jasmine-utils.js.map